import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.DefaultListModel;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JScrollPane;
import javax.swing.JMenuItem;

public class Main extends JFrame {

	DefaultListModel<Persona> elenco;
	private JList<Persona> list;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Main frame = new Main();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public Main() {
		elenco = new DefaultListModel<>();

		setTitle("Esempio di JList");
		setBounds(100, 100, 450, 300);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		JMenuBar menuBar = new JMenuBar();
		setJMenuBar(menuBar);
		
		JMenu mnModifica = new JMenu("Modifica");
		menuBar.add(mnModifica);
		
		JMenuItem mntmInserisci = new JMenuItem("Inserisci");
		mntmInserisci.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				inseriscePersona();
			}
		});
		mnModifica.add(mntmInserisci);
		
		JMenuItem mntmCancella = new JMenuItem("Cancella");
		mntmCancella.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				eliminaPersona();
			}
		});
		mnModifica.add(mntmCancella);

		JScrollPane scrollPane = new JScrollPane();
		getContentPane().add(scrollPane, BorderLayout.CENTER);

		list = new JList<>(elenco);
		scrollPane.setViewportView(list);

	}
	
	private void inseriscePersona() {
		JInputPersona inputPersona = new JInputPersona();
		if (inputPersona.showDialog() == JInputPersona.OK_OPTION)
			elenco.addElement(inputPersona.getLibro());
	}
	
	private void eliminaPersona() {
		if (list.getSelectedIndex()>=0)
			elenco.removeElementAt(list.getSelectedIndex());
	}
	
}
